SparkFun TLC5940 Arduino Library
========================================

The TLC5940 gives the user 16 channel PWM control and can be daisy chained over the serial interface. 
This library works with the SparkFun LED Driver Breakout and the SparkFun PWM Shield.

This library is forked from the original library by Alex Leone, available [here](https://code.google.com/p/tlc5940arduino/). 

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/extras** - Additional documentation for the user. These files are ignored by the IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[SparkFun LED Driver Breakout- TLC5940](https://github.com/sparkfun/LED_Driver_Breakout-TLC5940)** - Main repository (including hardware files) for the LED Driver Breakout.
* **[SparkFun PWM Shield](https://github.com/sparkfun/PWM_Shield)** - Main repository (including hardware files) for the PWM Shield.

Products that use this Library 
---------------------------------

* [BOB-10616](https://www.sparkfun.com/products/10616)- SparkFun LED Driver Breakout-TLC5940
* [DEV-10615](https://www.sparkfun.com/products/10615)- SparkFun PWM Shield


License Information
-------------------

This product is _**open source**_! 

The code is released under GPL. 

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_<COLLABORATION CREDIT>_
